# jEdit 2.6 User's Guide

Prev

# Index

# A

activity log, Installing New Edit Modes, The jEdit Settings Directory, The Activity Log
Activity Log command, Installing New Edit Modes, The Activity Log
Append to Register command, Text Registers
attributes
  AT_CHAR attribute of TERMINATE tag, TERMINATE rule
  AT_LINE_START attribute of EOL_SPAN tag, EOL_SPAN rule
  AT_LINE_START attribute of MARK_FOLLOWING tag, MARK_FOLLOWING rule
  AT_LINE_START attribute of MARK_PREVIOUS tag, MARK_PREVIOUS rule
  AT_LINE_START attribute of SEQ tag, SEQ rule
  AT_LINE_START attribute of SPAN tag, SPAN rule
  DEFAULT attribute of RULES tag, The RULES Tag
  DELEGATE attribute of SPAN tag, SPAN rule
  EXCLUDE_MATCH attribute of EOL_SPAN tag, EOL_SPAN rule
  EXCLUDE_MATCH attribute of MARK_FOLLOWING tag, MARK_FOLLOWING rule
  EXCLUDE_MATCH attribute of MARK_PREVIOUS tag, MARK_PREVIOUS rule
  EXCLUDE_MATCH attribute of SPAN tag, SPAN rule
  HIGHLIGHT_DIGITS attribute of RULES tag, The RULES Tag
  IGNORE_CASE attribute of KEYWORDS tag, KEYWORDS rule
  IGNORE_CASE attribute of RULES tag, The RULES Tag
  NAME attribute of MODE tag, The MODE Tag
  NAME attribute of PROPERTY tag, The PROPS Tag
  NO_LINE_BREAK attribute of SPAN tag, SPAN rule
  NO_WORD_BREAK attribute of SPAN tag, SPAN rule
  SET attribute of RULES tag, The RULES Tag
  TYPE attribute of EOL_SPAN tag, EOL_SPAN rule
  TYPE attribute of MARK_FOLLOWING tag, MARK_FOLLOWING rule
  TYPE attribute of MARK_PREVIOUS tag, MARK_PREVIOUS rule
  TYPE attribute of SEQ, SEQ rule
  TYPE attribute of SPAN tag, SPAN rule
  VALUE attribute of PROPERTY tag, The PROPS Tag
auto indent, Edit Modes, The Buffer Options Dialog Box
autosave, Autosave and Backups

# B

Backspace key, Entering and Deleting Text
backups, Autosave and Backups
Block Comment command, Commenting Out Code
Box Comment command, Commenting Out Code
bracket matching, Bracket Matching
Brackets menu, Bracket Matching
buffer, Opening Files, Saving Files
Buffer Options command, The Buffer Options Dialog Box
buffer-local properties
  blockComment, Commenting Out Code, Buffer-Local Properties
  boxComment, Commenting Out Code, Buffer-Local Properties
  commentEnd, Commenting Out Code, Buffer-Local Properties
  commentStart, Commenting Out Code, Buffer-Local Properties
  doubleBracketIndent, Buffer-Local Properties
  indentCloseBrackets, Buffer-Local Properties
  indentOnEnter, Automatic Indent, Buffer-Local Properties
  indentOnTab, Automatic Indent, Buffer-Local Properties
  indentOpenBrackets, Buffer-Local Properties
  indentPrevLine, Buffer-Local Properties
  mode, Buffer-Local Properties
  noTabs, Soft Tabs, Buffer-Local Properties
  noWordSep, Buffer-Local Properties
  syntax, Syntax Highlighting, Buffer-Local Properties
  tabSize, Changing the Tab Width, Buffer-Local Properties

# C

caret, Starting jEdit
class
  AbstractOptionPane, The Global Options Dialog Box
  EBMessage, The EditBus
  EBPlugin, The EditBus
  EditAction, Plugin Actions
  EditBus, The EditBus
  EditPlugin, The EditPlugin Class, The Plugins Menu, The Global Options Dialog Box
  EnhancedDialog, Improved Dialog Box Key Handling
  EnhancedFrame, Improved Dialog Box Key Handling
  GUIUtilities, The Plugins Menu, The Plugins Menu, Canned Dialog Boxes, Saving Window Geometry
  IORequest, Buffer Loading and Saving
  jEdit, Plugin Properties, Plugin Actions
  Log, The Activity Log
  OptionGroup, The Global Options Dialog Box
  OptionsDialog, The Global Options Dialog Box
  VFSManager, The VFSManager Class
Clear Marker menu, Markers
Clear Remote Directory Cache command, The FTP Filesystem, The jEdit Settings Directory
clipboard, The Clipboard, Text Registers
Close All Buffers command, Closing Files and Exiting jEdit
Close Buffer command, Closing Files and Exiting jEdit
Close View command, Working With Views
command line, Starting jEdit, Opening Files, Command Line Usage, The Edit Server, The Edit Server, Background Mode
command line switches
  - -, Command Line Usage
  -background, Command Line Usage, Background Mode
  -gui, Command Line Usage
  -noserver, Command Line Usage, The Edit Server
  -nosession, Editor Sessions
  -nosessions, Command Line Usage
  -nosettings, The jEdit Settings Directory, Command Line Usage, The Edit Server
  -nosplash, Command Line Usage, The Edit Server
  -quit, Command Line Usage
  -readonly, Opening Files
  -reuseview, Command Line Usage, The Edit Server
  -server, Command Line Usage, The Edit Server
  -session, Editor Sessions, Command Line Usage
  -settings, The jEdit Settings Directory, Command Line Usage, The Edit Server
  -usage, Command Line Usage
  -version, Command Line Usage
  -wait, Command Line Usage
Complete Word command, Working With Words
Copy command, The Clipboard
Copy to Register command, Text Registers
Current Buffer menu, Opening Files
Current Directory menu, Opening Files
current line highlighting, Starting jEdit
Cut command, The Clipboard
Cut to Register command, Text Registers

# D

Delete key, Entering and Deleting Text
Delete Line command, Working With Lines
Delete Paragraph command, Working With Paragraphs
Delete To End Of Line command, Working With Lines
Delete To Start Of Line command, Working With Lines
deleting
  characters, Entering and Deleting Text
  lines, Working With Lines
  paragraphs, Working With Paragraphs
  selected text, Entering and Deleting Text
  words, Working With Words

# E

Edit menu, Selecting Text, Undo and Redo, The Clipboard, Working With Words, Working With Lines, Working With Paragraphs, Abbreviations, Bracket Matching, Automatic Indent, Commenting Out Code, Searching in Multiple Files, The jEdit Settings Directory
edit modes, Edit Modes, The Buffer Options Dialog Box
editor window, Starting jEdit, Working With Views
electric scrolling, Starting jEdit
end of line markers, Starting jEdit
Exit command, Closing Files and Exiting jEdit
Expand Abbreviation command, Abbreviations

# F

File menu, Opening Files, Creating New Files, Saving Files, When Another Application Modifies the File, Printing Files, Closing Files and Exiting jEdit, Editor Sessions, The FTP Filesystem, The Printing Pane, The VFS Browser Pane, Buffer Loading and Saving, Command Line Usage
file name extensions, Mode Selection
File System Browser command, The VFS Browser, The VFS Browser Pane
Find command, The Search and Replace Dialog Box
Find Selection command, The Search and Replace Dialog Box
Forget Remote Passwords command, The FTP Filesystem

# G

Global Options command, Starting jEdit, Opening Files, Undo and Redo, The Clipboard, Autosave and Backups, Line Separator Characters, Printing Files, The Gutter, Closing Files and Exiting jEdit, Editor Sessions, Abbreviations, Macro Files, Syntax Highlighting, Bracket Matching, Changing the Tab Width, Soft Tabs, Automatic Indent, Commenting Out Code, The VFS Browser, The FTP Filesystem, Multithreaded I/O, The Global Options Dialog Box, Using Plugins, PropertiesChanged Message, Command Line Usage
Go to Line command, Working With Lines
Go to Marker menu, Markers
Go to Next Bracket command, Bracket Matching
Go to Next Marker command, Markers
Go to Previous Bracket command, Bracket Matching
Go to Previous Marker command, Markers
Go to Register command, Position Registers, File Name Registers
gutter, The Gutter
Gutter Expanded command, The Gutter

# H

Help menu, Using Plugins
history text fields, The Search and Replace Dialog Box, The HyperSearch Dialog Box, History Text Fields
HyperSearch command, The HyperSearch Dialog Box
HyperSearch For Selection command, The HyperSearch Dialog Box

# I

I/O Progress Monitor command, Multithreaded I/O
Incremental Search command, Quick Search
Indent Selected Lines command, Automatic Indent
Insert key, Entering and Deleting Text
interface
  EBComponent, The EditBus
  OptionPane, The Global Options Dialog Box
invalid lines, Starting jEdit

# J

jEdit Command Line command, The jEdit Command Line
Join Lines command, Working With Lines
joining lines, Working With Lines

# K

keyboard shortcuts
  customizing, The Shortcut Editing Panes
  multiple keystroke, Keyboard Shortcuts

# L

line highlighting, Starting jEdit
line number display, Starting jEdit
Line Numbering command, The Gutter
line separator, Line Separator Characters, The Buffer Options Dialog Box
Lines menu, Working With Lines, Automatic Indent
Load Session command, Editor Sessions
Locate Bracket command, Bracket Matching

# M

MacOS, Line Separator Characters
Macros menu, Macro Files, Recording Macros, Temporary Macros, MacrosChanged Message
markers, Markers, Command Line Usage
.marks files, Markers
menu bar, Menu Items
method
  actionPerformed() of EditAction class, Plugin Actions
  addAction() of jEdit class, Plugin Actions
  addOptionGroup() of OptionsGroup class, The Global Options Dialog Box
  addOptionPane() of OptionsDialog class, The Global Options Dialog Box
  addToBus() of EditBus class, The EditBus
  createMenuItems() of EditPlugin class, The Plugins Menu
  createOptionPanes() of EditPlugin class, The Global Options Dialog Box
  error() of GUIUtilities class, Canned Dialog Boxes, The VFSManager Class
  error() of VFSManager class, The VFSManager Class
  getBooleanProperty() of jEdit class, Plugin Properties
  getProperty() of jEdit class, Plugin Properties
  input() of GUIUtilities class, Canned Dialog Boxes
  inputProperty() of GUIUtilities class, Canned Dialog Boxes
  isSelected() of EditAction class, Plugin Actions
  isToggle() of EditAction class, Plugin Actions
  load() of Buffer class, Buffer Loading and Saving
  loadGeometry() of GUIUtilities class, Saving Window Geometry
  loadMenu() of GUIUtilities class, The Plugins Menu
  loadMenuItem() of GUIUtilities class, The Plugins Menu
  log() of Log class, The Activity Log
  message() of GUIUtilities class, Canned Dialog Boxes
  registerVFS() of VFSManager class, The VFSManager Class
  removeFromBus() of EditBus class, The EditBus
  resetProperty() of jEdit class, Plugin Properties
  runInAWTThread() of VFSManager class, The VFSManager Class
  save() of Buffer class, Buffer Loading and Saving
  saveGeometry() of GUIUtilities class, Saving Window Geometry
  send() of EditBus class, The EditBus
  setBooleanProperty() of jEdit class, Plugin Properties
  setPath() of Buffer class, Buffer Loading and Saving
  setProperty() of jEdit class, Plugin Properties
  setTemporaryProperty() of jEdit class, Plugin Properties
  showFileDialog() of GUIUtilities class, Canned Dialog Boxes
  start() of EditPlugin class, The EditPlugin Class
  stop() of EditPlugin class, The EditPlugin Class
  unsetProperty() of jEdit class, Plugin Properties
  waitForRequests() of VFSManager class, The VFSManager Class
  _createInputStream() of VFS class, Buffer Loading and Saving
  _createOutputStream() of VFS class, Buffer Loading and Saving
(modified) in the status bar, Opening Files
moving the caret
  a word at a time, Working With Words
  by characters, The Caret
  by lines, The Caret
  by paragraphs, Working With Paragraphs
  by screenfuls, The Caret
  to a marker, Markers
  to a line number, Command Line Usage, Command Line Usage
  to a marker, Command Line Usage
  to the end of a line, The Caret
  to the end of the buffer, The Caret
  to the end of the viewscreen, The Caret
  to the start of a line, The Caret
  to the start of the buffer, The Caret
  to the start of the viewscreen, The Caret
Multifile Search Settings command, Searching in Multiple Files
multiple file search and replace, The Search and Replace Dialog Box, The HyperSearch Dialog Box, Searching in Multiple Files

# N

New File command, Creating New Files
New View command, Working With Views

# O

Open File command, Opening Files, The VFS Browser Pane
overstrike mode, Entering and Deleting Text

# P

Paragraphs menu, Working With Paragraphs
Paste command, The Clipboard
Paste from Register command, Text Registers
Paste Previous command, The Clipboard, Text Registers, The jEdit Settings Directory
Play Last Macro command, Macro Files
Play Temporary Macro command, Temporary Macros
Plugin Manager command, The Plugin Manager
Plugins menu, The Plugin Manager, Using Plugins
Print command, Printing Files, The Printing Pane
processing instructions (in XML), An XML Primer

# Q

Quick Search command, Quick Search

# R

(read only) in the status bar, Opening Files
Recent Files menu, Opening Files
Record Macro command, Recording Macros
Record Temporary Macro command, Temporary Macros
Rectangular Selection command, Selecting Text
Redo command, Undo and Redo
Registers menu, Registers, Text Registers, Position Registers, File Name Registers
regular expressions, The Search and Replace Dialog Box, The HyperSearch Dialog Box, Regular Expressions
Reload command, When Another Application Modifies the File, Buffer Loading and Saving
Reload Edit Modes command, Installing New Edit Modes
Rescan Macros command, Macro Files
right-click menu, Starting jEdit

# S

Save All Buffers command, Saving Files
Save As command, Saving Files, The FTP Filesystem, The VFS Browser Pane
Save command, Saving Files, The FTP Filesystem
Save File Name to Register command, File Name Registers
Save Gutter Size command, The Gutter
Save Position to Register command, Position Registers
Save Session command, Editor Sessions, Command Line Usage
saving, Opening Files, Saving Files, Closing Files and Exiting jEdit
Scroll to Line command, Working With Lines
scrolling, Starting jEdit, Working With Lines
Search menu, Markers, The Search and Replace Dialog Box, The HyperSearch Dialog Box, Searching in Multiple Files, Quick Search
Select Code Block command, Bracket Matching
Select Line command, Working With Lines
Select Line Range command, Working With Lines
Select Paragraph command, Working With Paragraphs
Select to Register command, Position Registers
Select Word command, Working With Words
selecting text
  a line at a time, Selecting Text, Working With Lines
  a range of lines, Working With Lines
  a word at a time, Working With Words
  by dragging the mouse, Selecting Text
  by using the Shift modifier, Selecting Text
  code blocks, Bracket Matching
  deactivating the selection, Selecting Text
  paragraphs, Working With Paragraphs
  rectangular selection, Selecting Text
  the entire buffer, Selecting Text
selection, Selecting Text, Entering and Deleting Text, Entering and Deleting Text, Markers, Text Registers, Position Registers, Indentation-Related Commands, Commenting Out Code, The Search and Replace Dialog Box
Selection menu, Selecting Text, Working With Words, Working With Lines, Working With Paragraphs, Commenting Out Code
sessions, Starting jEdit, Editor Sessions
Set Marker command, Markers
Shift Indent Left command, Indentation-Related Commands
Shift Indent Right command, Indentation-Related Commands
soft tabs, Soft Tabs, Indentation-Related Commands
Spaces to Tabs command, Indentation-Related Commands
Split Horizontally command, Working With Views
Split Vertically command, Working With Views
status bar, Starting jEdit
Stop Recording command, Recording Macros, Temporary Macros
Swap Position with Register command, Position Registers
syntax highlighting, Printing Files, Edit Modes, Syntax Highlighting

# T

tab width, Changing the Tab Width, The Buffer Options Dialog Box
Tabs to Spaces command, Indentation-Related Commands
tags
  !DOCTYPE, An XML Primer, The Preamble
  BEGIN tag inside SPAN, SPAN rule
  END tag inside SPAN, SPAN rule
  EOL_SPAN, EOL_SPAN rule
  KEYWORDS, KEYWORDS rule
  MARK_FOLLOWING, MARK_FOLLOWING rule
  MARK_PREVIOUS, MARK_PREVIOUS rule
  MODE, The MODE Tag
  PROPERTY, The PROPS Tag
  PROPS, The PROPS Tag
  RULES, The RULES Tag
  SEQ, SEQ rule
  SPAN, SPAN rule
  TERMINATE, TERMINATE rule
  WHITESPACE, WHITESPACE rule
text area, Starting jEdit

# U

Undo command, Undo and Redo, Searching in Multiple Files
Unix, Line Separator Characters, Markers
Unsplit command, Working With Views
Utilities menu, Starting jEdit, Opening Files, Undo and Redo, The Clipboard, Autosave and Backups, Line Separator Characters, Printing Files, The Gutter, Closing Files and Exiting jEdit, Editor Sessions, Abbreviations, Macro Files, The jEdit Command Line, Syntax Highlighting, Installing New Edit Modes, Bracket Matching, Changing the Tab Width, Soft Tabs, Automatic Indent, Commenting Out Code, The VFS Browser, The FTP Filesystem, Multithreaded I/O, The Buffer Options Dialog Box, The Global Options Dialog Box, The VFS Browser Pane, The jEdit Settings Directory, Using Plugins, PropertiesChanged Message, The Activity Log, Command Line Usage

# V

view, Opening Files, Working With Views
View menu, Opening Files, Working With Views, The Gutter
View Registers command, Registers

# W

Windows, Line Separator Characters
Wing Comment command, Commenting Out Code
Word Count command, Working With Words

# X

X Window System, The Clipboard

Home
Prev: Glob Patterns